summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author pyllyukko <pyllyukko@maimed.org>2022-04-23 03:26:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-24 01:47:22 +0700
commit5ed026533ab2e3f8e53c66b229bd1a31b4485ab3 (patch)
treee3d4270f7492e5a2ee514693ee7a9c67070897ba /system
parentee4b6888479b3425921e399ab59a4e0dbc7a9e17 (diff)
downloadslackbuilds-5ed026533ab2e3f8e53c66b229bd1a31b4485ab3.tar.gz
slackbuilds-5ed026533ab2e3f8e53c66b229bd1a31b4485ab3.tar.xz
system/mpollux-digisign-client: Added (smart card middleware).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/mpollux-digisign-client/README6
-rw-r--r--system/mpollux-digisign-client/doinst.sh18
-rw-r--r--system/mpollux-digisign-client/mpollux-digisign-client.SlackBuild94
-rw-r--r--system/mpollux-digisign-client/mpollux-digisign-client.info10
-rw-r--r--system/mpollux-digisign-client/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/system/mpollux-digisign-client/README b/system/mpollux-digisign-client/README
new file mode 100644
index 0000000000..7e5304238d
--- /dev/null
+++ b/system/mpollux-digisign-client/README
@@ -0,0 +1,6 @@
+Fujitsu mPollux DigiSign Client Smart Card middleware for ISO7816-15,
+PKCS#15, FINEID-S1 and FINEID-S4 compatible smart cards
+
+This middleware allows programs to access data, such as
+cryptographic keys, on ISO7816-15, PKCS#15, FINEID-S1 and FINEID-S4
+compatible smart cards and similar security tokens.
diff --git a/system/mpollux-digisign-client/doinst.sh b/system/mpollux-digisign-client/doinst.sh
new file mode 100644
index 0000000000..c82fe254cd
--- /dev/null
+++ b/system/mpollux-digisign-client/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+config etc/xdg/Fujitsu/CCryptoLib.conf.new
diff --git a/system/mpollux-digisign-client/mpollux-digisign-client.SlackBuild b/system/mpollux-digisign-client/mpollux-digisign-client.SlackBuild
new file mode 100644
index 0000000000..a9f64ed1ac
--- /dev/null
+++ b/system/mpollux-digisign-client/mpollux-digisign-client.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/bash
+
+# Slackware build script for mpollux-digisign-client
+
+# Copyright 2022 pyllyukko
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mpollux-digisign-client
+DEBNAM=mpollux-digisign-client-for-dvv
+VERSION=${VERSION:-4.2.0b_7987}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+ DEBARCH=i386
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+ DEBARCH=i386
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ DEBARCH=amd64
+else
+ LIBDIRSUFFIX=""
+ DEBARCH=i386
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${DEBNAM}_${VERSION//_/-}_${DEBARCH}.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -pv "${PKG}/usr/doc"
+mv -v "${PKG}/usr/share/doc/mpollux-digisign-client-for-vrk" "${PKG}/usr/doc/${PRGNAM}-${VERSION}"
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/changelog.Debian.gz
+rmdir -v "${PKG}/usr/share/doc" "${PKG}/usr/sbin"
+sed -i 's:^\(\s\+documentFolder\s\+=\s\+\)".\+",\r$:\1"/usr/doc/mpollux-digisign-client*",\r:' "${PKG}/etc/xdg/Fujitsu/CCryptoLib.conf"
+mv -v "${PKG}/etc/xdg/Fujitsu/CCryptoLib.conf" "${PKG}/etc/xdg/Fujitsu/CCryptoLib.conf.new"
+chmod 644 $PKG/usr/share/applications/*.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/mpollux-digisign-client/mpollux-digisign-client.info b/system/mpollux-digisign-client/mpollux-digisign-client.info
new file mode 100644
index 0000000000..43cfb51d05
--- /dev/null
+++ b/system/mpollux-digisign-client/mpollux-digisign-client.info
@@ -0,0 +1,10 @@
+PRGNAM="mpollux-digisign-client"
+VERSION="4.2.0b_7987"
+HOMEPAGE="https://dvv.fi/kortinlukijaohjelmisto"
+DOWNLOAD="https://dvv.fi/documents/16079645/94215036/mpollux-digisign-client-for-dvv_4.2.0b-7987_i386.deb"
+MD5SUM="46209537a290f5c80ebf49c1c75f7e6c"
+DOWNLOAD_x86_64="https://dvv.fi/documents/16079645/94215036/mpollux-digisign-client-for-dvv_4.2.0b-7987_amd64.deb"
+MD5SUM_x86_64="0141c8e4e83b87828414a2584c5ce974"
+REQUIRES=""
+MAINTAINER="pyllyukko"
+EMAIL="pyllyukko@maimed.org"
diff --git a/system/mpollux-digisign-client/slack-desc b/system/mpollux-digisign-client/slack-desc
new file mode 100644
index 0000000000..d774f6f616
--- /dev/null
+++ b/system/mpollux-digisign-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mpollux-digisign-client: mpollux-digisign-client (smart card middleware)
+mpollux-digisign-client:
+mpollux-digisign-client: Fujitsu mPollux DigiSign Client Smart Card middleware for ISO7816-15,
+mpollux-digisign-client: PKCS#15, FINEID-S1 and FINEID-S4 compatible smart cards
+mpollux-digisign-client:
+mpollux-digisign-client: This middleware allows programs to access data, such as cryptographic
+mpollux-digisign-client: keys, on ISO7816-15, PKCS#15, FINEID-S1 and FINEID-S4 compatible smart
+mpollux-digisign-client: cards and similar security tokens.
+mpollux-digisign-client:
+mpollux-digisign-client: Homepage: https://dvv.fi/kortinlukijaohjelmisto
+mpollux-digisign-client: